addurl CAPTCHA broken (HTML is rendered as text and CAPTCHA always fails you even if you fill in the form right)
Closed, ResolvedPublic

Description

From production:

Mattflaschen-WMF updated the task description. (Show Details)
Mattflaschen-WMF raised the priority of this task from to Needs Triage.
Mattflaschen-WMF added a subscriber: Mattflaschen-WMF.
Restricted Application added a project: Collaboration-Team-Triage. · View Herald TranscriptAug 19 2015, 5:53 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Mattflaschen-WMF triaged this task as Unbreak Now! priority.Aug 19 2015, 5:55 AM
Mattflaschen-WMF renamed this task from addurl CAPTCHA broken (HTML is rendered as text) to addurl CAPTCHA broken (HTML is rendered as text and CAPTCHA always fails you even if you fill in the form right).Aug 25 2015, 12:08 AM

Even with the formatting fixed, it still doesn't work because there's no integration between the CAPTCHA form and the AJAX doing the actual submission. I'm working on that as well.

Change 233660 had a related patch set uploaded (by Mattflaschen):
Fix CAPTCHA on new editors

https://gerrit.wikimedia.org/r/233660

Change 233660 merged by Mattflaschen:
Fix CAPTCHA on new editors

https://gerrit.wikimedia.org/r/233660

Change 233718 had a related patch set uploaded (by Mattflaschen):
Fix CAPTCHA on new editors

https://gerrit.wikimedia.org/r/233718

Change 233718 merged by Alex Monk:
Fix CAPTCHA on new editors

https://gerrit.wikimedia.org/r/233718

Checked in betalabs.

DannyH closed this task as Resolved.Aug 28 2015, 5:32 PM
DannyH added a subscriber: DannyH.